Bug 2017419 - Review Request: python-cs - CloudStack API client for python and the command-line
Summary: Review Request: python-cs - CloudStack API client for python and the command-...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-26 13:41 UTC by Roman Inflianskas
Modified: 2021-11-17 07:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-17 07:18:05 UTC
Type: ---
paul.wouters: fedora-review+


Attachments (Terms of Use)

Description Roman Inflianskas 2021-10-26 13:41:46 UTC
Spec URL: https://download.nohats.ca/python-cs/python-cs.spec
SRPM URL: https://download.nohats.ca/python-cs/python-cs-3.0.0-1.fc34.src.rpm
Patch URL: https://download.nohats.ca/python-cs/python-cs-3.0.0-tox-skip-check-manifest.patch
Description: A simple, yet powerful CloudStack API client for python and the command-line.
Fedora Account System Username: rominf

This is my first package. I know Paul Wouters personally (we work in the same company), hence I would like that he be my sponsor.

This package will be used by python-exoscale, which is not packaged yet.

Comment 1 Roman Inflianskas 2021-10-26 13:59:40 UTC
I've just received a message from Paul Wouters, he wrote that he agrees to sponsor me.

I also would like to note, that this package builds on Fedora 33, 34, and it would be great to have it in these versions of Fedora.

Comment 2 Paul Wouters 2021-10-26 19:06:38 UTC
There is one big issue, which is that it provides /usr/bin/cs that is also provides by the package clearsilver

See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Conflicts/

It looks like debian installs the package without /usr/bin/cs, perhaps that is something we can do as well ?



The rpmlint error on "non-executable-script" can be ignored. Ideally upstream would fix that, but the file location really means it is not run standalone but imported (like /usr/bin/cs does)



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD (3 clause)". 11 files have unknown
     license. Detailed output of licensecheck in
     /home/paul.wouters/2017419-python-cs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     There is a conflict with the package clearsilver which also provides /usr/bin/cs

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cs , python3-cs+async , python3-cs+highlight
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-cs-3.0.0-1.fc36.noarch.rpm
          python3-cs+async-3.0.0-1.fc36.noarch.rpm
          python3-cs+highlight-3.0.0-1.fc36.noarch.rpm
          python-cs-3.0.0-1.fc36.src.rpm
python3-cs.noarch: E: non-executable-script /usr/lib/python3.10/site-packages/cs/client.py 644 /usr/bin/env python
python3-cs.noarch: W: no-manual-page-for-binary cs
python3-cs+async.noarch: W: spelling-error Summary(en_US) Metapackage -> Meta package, Meta-package, Prepackage
python3-cs+async.noarch: W: spelling-error Summary(en_US) async -> sync, a sync
python3-cs+async.noarch: W: spelling-error %description -l en_US metapackage -> meta package, meta-package, prepackage
python3-cs+async.noarch: W: spelling-error %description -l en_US async -> sync, a sync
python3-cs+async.noarch: W: no-documentation
python3-cs+highlight.noarch: W: spelling-error Summary(en_US) Metapackage -> Meta package, Meta-package, Prepackage
python3-cs+highlight.noarch: W: spelling-error %description -l en_US metapackage -> meta package, meta-package, prepackage
python3-cs+highlight.noarch: W: no-documentation
4 packages and 0 specfiles checked; 1 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/exoscale/cs/archive/3.0.0/python-cs-3.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 83a29c421979e139c9397afad692125fe0df789508a1cf62f6104a1037831581
  CHECKSUM(SHA256) upstream package : 83a29c421979e139c9397afad692125fe0df789508a1cf62f6104a1037831581


Requires
--------
python3-cs (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.10dist(pytz)
    python3.10dist(requests)

python3-cs+async (rpmlib, GLIBC filtered):
    python(abi)
    python3-cs
    python3.10dist(aiohttp)

python3-cs+highlight (rpmlib, GLIBC filtered):
    python(abi)
    python3-cs
    python3.10dist(pygments)



Provides
--------
python3-cs:
    python-cs
    python3-cs
    python3.10-cs
    python3.10dist(cs)
    python3dist(cs)

python3-cs+async:
    python-cs+async
    python3-cs+async
    python3.10-cs+async
    python3.10dist(cs[async])
    python3dist(cs[async])

python3-cs+highlight:
    python-cs+highlight
    python3-cs+highlight
    python3.10-cs+highlight
    python3.10dist(cs[highlight])
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      1,0-1         Top

Comment 3 Paul Wouters 2021-10-27 16:39:01 UTC
After communication with the package owner of clearsilver, it was agreed to put Conflicts: statement in both packages. Updates for clearsilver are now in updates-testing.

With that the package is APPROVED, but please ensure to add the Conflicts: clearsilver to the spec/srpm file before importing it into fedora.

Comment 4 Paul Wouters 2021-10-27 16:49:54 UTC
I have also now sponsored you as a Fedora Packager. Welcome and thanks for contributing!

Comment 5 Gwyn Ciesla 2021-11-01 21:33:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-cs

Comment 6 Roman Inflianskas 2021-11-17 07:18:05 UTC
Package is present in Fedora 33-36.


Note You need to log in before you can comment on or make changes to this bug.